package com.cheng.blzb.ui.fragment.merchant

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.cheng.blzb.R
import com.cheng.blzb.bean.ContactsEntity

class MerchantContactsAdapter: BaseQuickAdapter<ContactsEntity, BaseViewHolder>(R.layout.listitem_merchant_contacts) {

    init {
        addChildClickViewIds(R.id.iv_call)
    }

    override fun convert(holder: BaseViewHolder, item: ContactsEntity) {
        holder.setText(R.id.tv_phone, item.phone)
        holder.setText(R.id.tv_name, "${item.name} | ${item.job}")
    }
}